Bug 1530270 (CVE-2017-17853) - CVE-2017-17853 kernel: bpf/verifier.c allows local users to cause a denial of service by leveraging incorrect BPF_RSH signed bounds calculations
Summary: CVE-2017-17853 kernel: bpf/verifier.c allows local users to cause a denial of...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-17853
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171219,repor...
Depends On: 1530279 1530308
Blocks: 1528364
TreeView+ depends on / blocked
 
Reported: 2018-01-02 12:30 UTC by Adam Mariš
Modified: 2019-07-12 13:04 UTC (History)
42 users (show)

Fixed In Version: kernel 4.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:04:46 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-01-02 12:30:24 UTC
kernel/bpf/verifier.c in the Linux kernel through 4.14.8 allows local users to cause a denial of service (memory corruption) or possibly have unspecified other impact by leveraging incorrect BPF_RSH signed bounds calculations.

Upstream patch:

https://github.com/torvalds/linux/commit/4374f256ce8182019353c0c639bb8d0695b4c941

References:

http://www.openwall.com/lists/oss-security/2017/12/21/2

Comment 1 Adam Mariš 2018-01-02 12:40:43 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1530279]

Comment 3 Prasad J Pandit 2018-01-18 05:30:30 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 5 Product Security DevOps Team 2019-07-12 13:04:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-17853


Note You need to log in before you can comment on or make changes to this bug.